// author Akhmed

#include <bits/stdc++.h>

#define ll int
#define Youtube ios::sync_with_stdio(false);cin.tie(nullptr);cout.tie(nullptr);
#define yes cout << "YES" << endl;
#define no cout << "NO" << endl;
#define go << endl;
#define db double
#define pb push_back
#define fl floor // округляет число в меньшую сторону и выглядит так: n = floor(x);
#define rn round // округляет число по математическим правилам и выглядит так: n = round(x);
#define trc trunc // отбрасывает дробную часть числа и выглядит так: n = trunc(x);
#define cl ceil // округляет число в большую сторону и выглядит так: n = ceil(x);
//to_string(s/i); добавить что то в стринг
//sqrt(); находит корень
//cbrt(); находит трипл корень
//pow(16, 1.0 / x); x есе кішірейтеді (тубирасты)

#pragma GCC optimize ("Ofast")
#pragma GCC optimize ("unroll-loops")
#pragma GCC optimize ("03")
#pragma GCC optimize("fast-math")
#pragma GCC target ("sse,sse2,sse3,ssse3,sse4,popcnt,abm,avx2,mmx,fma,avx,tune=native")

using namespace std;



void solve(){
    ll k = 0;
    string n, d;
    cin >> n;
    reverse(n.begin(), n.end());
    for(auto a:n){
        if(a == '0' and k == 0){
            continue;
        }
        if(a == '2'){
            d+='5';
            k++;
            continue;
        } else if(a == '5'){
            d+='2';
            k++;
            continue;
        }
        d+=a;
        k++;
    }
    cout << d;
}

main(){

    Youtube;

    ll t = 1;

    //cin >> t;

    while(t--){
        solve();
    }

    return 0;
}